Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.analysis
Class AbstractChartModel

    java.lang.Object
      uchicago.src.sim.analysis.AbstractChartModel

Direct Known Subclasses:
  SequenceChartModel

    public abstract class AbstractChartModel

extends java.lang.Object

Model (MVC) class used by the Chart GUI. A Model should contain enough data to create the appropriate plot object (OpenSequenceGraph, etc.) for that particular kind of plot. The actual models for Sequence Graphs, Histograms and so forth will extend this class.

Version:
  $Revision: 1.11 $ $Date: 2004/11/03 19:51:00 $

Field Summary
`protected java.util.ArrayList` | `dataSources`
`protected static java.lang.String` | `SEQ_GIF`
`protected SimModel` | `simModel`
`protected java.lang.String` | `title`
`protected java.lang.String` | `xAxisTitle`
`protected double` | `xRangeIncr`
`protected double` | `xRangeMax`
`protected double` | `xRangeMin`
`protected java.lang.String` | `yAxisTitle`
`protected double` | `yRangeIncr`
`protected double` | `yRangeMax`
`protected double` | `yRangeMin`

Constructor Summary
`AbstractChartModel(SimModel model)` Creates an AbstractChartModel.

Method Summary
`abstract AbstractChartModel` | `copy()`
`protected AbstractChartModel` | `copy(AbstractChartModel aCopy)` Returns a deep copy of this AbstractChartModel.
`abstract OpenGraph` | `createChart()`
`java.util.ArrayList` | `getDataSources()` Returns an ArrayList of GuiChartDataSource objects.
`abstract javax.swing.Icon` | `getIcon()`
`abstract java.util.ArrayList` | `getModelDataSources()`
`SimModel` | `getSimModel()` Returns the SimModel associated with this AbstractChartModel.
`java.lang.String` | `getTitle()` Returns the title for the chart produced by this AbstractChartModel.
`abstract java.lang.String` | `getType()`
`java.lang.String` | `getXAxisTitle()` Gets the x-axis title for the chart produced by this AbstractChartModel.
`protected java.lang.String` | `getXML()` Returns an XML string of the attributes of this AbstractChartModel.
`double` | `getXRangeIncr()` Gets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.
`double` | `getXRangeMax()` Gets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.
`double` | `getXRangeMin()` Gets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.
`java.lang.String` | `getYAxisTitle()` Gets the y-axis title for the chart produced by this AbstractChartModel.
`double` | `getYRangeIncr()` Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.
`double` | `getYRangeMax()` Gets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.
`double` | `getYRangeMin()` Gets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.
`void` | `setDataSources(java.util.ArrayList dataSources)` Sets the list of GuiChartDataSource objects.
`void` | `setTitle(java.lang.String title)` Sets the title for the chart produced by this AbstractChartModel.
`void` | `setXAxisTitle(java.lang.String xAxisTitle)` Sets the x-axis title for the chart produced by this AbstractChartModel.
`void` | `setXRangeIncr(double xRangeIncr)` Sets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.
`void` | `setXRangeIncr(java.lang.String xRangeIncr)` Sets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.
`void` | `setXRangeMax(double xRangeMax)` Sets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.
`void` | `setXRangeMax(java.lang.String xRangeMax)` Sets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.
`void` | `setXRangeMin(double xRangeMin)` Sets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.
`void` | `setXRangeMin(java.lang.String xRangeMin)` Sets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.
`void` | `setYAxisTitle(java.lang.String yAxisTitle)` Sets the y-axis title for the chart produced by this AbstractChartModel.
`void` | `setYRangeIncr(double yRangeIncr)` Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.
`void` | `setYRangeIncr(java.lang.String yRangeIncr)` Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.
`void` | `setYRangeMax(double yRangeMax)` Sets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.
`void` | `setYRangeMax(java.lang.String yRangeMax)` Sets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.
`void` | `setYRangeMin(double yRangeMin)` Sets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.
`void` | `setYRangeMin(java.lang.String yRangeMin)` Sets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.
`abstract java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEQ_GIF

    protected static final java.lang.String SEQ_GIF

See Also:
  Constant Field Values

### title

    protected java.lang.String title

### xAxisTitle

    protected java.lang.String xAxisTitle

### yAxisTitle

    protected java.lang.String yAxisTitle

### xRangeMin

    protected double xRangeMin

### xRangeMax

    protected double xRangeMax

### xRangeIncr

    protected double xRangeIncr

### yRangeMin

    protected double yRangeMin

### yRangeMax

    protected double yRangeMax

### yRangeIncr

    protected double yRangeIncr

### simModel

    protected SimModel simModel

### dataSources

    protected java.util.ArrayList dataSources

Constructor Detail

### AbstractChartModel

    public AbstractChartModel(SimModel model)

  Creates an AbstractChartModel.

  Parameters:
    `model` - the SimModel associated with this AbstractChartModel

Method Detail

### getType

    public abstract java.lang.String getType()

### copy

    public abstract AbstractChartModel copy()

### getModelDataSources

    public abstract java.util.ArrayList getModelDataSources()

### getIcon

    public abstract javax.swing.Icon getIcon()

### createChart

    public abstract OpenGraph createChart()

### toXML

    public abstract java.lang.String toXML()

### copy

    protected AbstractChartModel copy(AbstractChartModel aCopy)

  Returns a deep copy of this AbstractChartModel. This is used by super class to copy their parent class attributes.

  Parameters:
    `aCopy` - the subclass object to copy.
  Returns:
    a copy

### getSimModel

    public SimModel getSimModel()

  Returns the SimModel associated with this AbstractChartModel.

  Returns:

### getTitle

    public java.lang.String getTitle()

  Returns the title for the chart produced by this AbstractChartModel.

  Returns:

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the chart produced by this AbstractChartModel.

  Parameters:
    `title` - the title for the chart produced by this model.

### getXAxisTitle

    public java.lang.String getXAxisTitle()

  Gets the x-axis title for the chart produced by this AbstractChartModel.

  Returns:

### setXAxisTitle

    public void setXAxisTitle(java.lang.String xAxisTitle)

  Sets the x-axis title for the chart produced by this AbstractChartModel.

  Parameters:
    `xAxisTitle` - the x-axis title

### getYAxisTitle

    public java.lang.String getYAxisTitle()

  Gets the y-axis title for the chart produced by this AbstractChartModel.

  Returns:

### setYAxisTitle

    public void setYAxisTitle(java.lang.String yAxisTitle)

  Sets the y-axis title for the chart produced by this AbstractChartModel.

  Parameters:
    `yAxisTitle` - the y-axis title

### getXRangeMin

    public double getXRangeMin()

  Gets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.

  Returns:
    the minimum x-axis value

### setXRangeMin

    public void setXRangeMin(java.lang.String xRangeMin)

  Sets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeMin` - the minimum x-axis value

### setXRangeMin

    public void setXRangeMin(double xRangeMin)

  Sets the initial minimum value for the x-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeMin` - the minimum x-axis value

### getXRangeMax

    public double getXRangeMax()

  Gets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.

  Returns:
    the maximum x-axis value

### setXRangeMax

    public void setXRangeMax(java.lang.String xRangeMax)

  Sets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeMax` - the maximum x-axis value

### setXRangeMax

    public void setXRangeMax(double xRangeMax)

  Sets the initial maximum value for the x-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeMax` - the maximum x-axis value

### getXRangeIncr

    public double getXRangeIncr()

  Gets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Returns:
    the x-axis range increment

### setXRangeIncr

    public void setXRangeIncr(java.lang.String xRangeIncr)

  Sets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeIncr` - the x-axis range increment

### setXRangeIncr

    public void setXRangeIncr(double xRangeIncr)

  Sets the amount to increment the displayed x-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Parameters:
    `xRangeIncr` - the x-axis range increment

### getYRangeMin

    public double getYRangeMin()

  Gets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.

  Returns:
    the minimum y-axis value

### setYRangeMin

    public void setYRangeMin(java.lang.String yRangeMin)

  Sets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeMin` - the minimum x-axis value

### setYRangeMin

    public void setYRangeMin(double yRangeMin)

  Sets the initial minimum value for the y-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeMin` - the minimum x-axis value

### getYRangeMax

    public double getYRangeMax()

  Gets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.

  Returns:
    the maximum y-axis value

### setYRangeMax

    public void setYRangeMax(java.lang.String yRangeMax)

  Sets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeMax` - the maximum x-axis value

### setYRangeMax

    public void setYRangeMax(double yRangeMax)

  Sets the initial maximum value for the y-axis of the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeMax` - the maximum x-axis value

### getYRangeIncr

    public double getYRangeIncr()

  Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Returns:
    the y-axis range increment

### setYRangeIncr

    public void setYRangeIncr(java.lang.String yRangeIncr)

  Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeIncr` - the y-axis range increment

### setYRangeIncr

    public void setYRangeIncr(double yRangeIncr)

  Sets the amount to increment the displayed y-axis range when autoscaling the the chart produced by this AbstractChartModel.

  Parameters:
    `yRangeIncr` - the y-axis range increment

### getDataSources

    public java.util.ArrayList getDataSources()

  Returns an ArrayList of GuiChartDataSource objects.

  Returns:
    ArrayList of GuiChartDataSource objects.

### setDataSources

    public void setDataSources(java.util.ArrayList dataSources)

  Sets the list of GuiChartDataSource objects.

  Parameters:
    `dataSources` - GuiChartDataSources for this AbstractChartModel

### getXML

    protected java.lang.String getXML()

  Returns an XML string of the attributes of this AbstractChartModel.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD